package org.ids_mannheim;

import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.*;

class UtilsTest {

    @org.junit.jupiter.api.BeforeEach
    void setUp() {
    }

    @Test
    void randomFoldIsDeterministic() {
        DeterministicRandomProvider drp = new DeterministicRandomProvider(100);
        assertEquals(89, drp.getFoldFromTextID("RPO05_JAN.00001"));
        assertEquals(47, drp.getFoldFromTextID("RPO05_JAN.00002"));
        assertEquals(0, drp.getFoldFromTextID("RPO05_JAN.00003"));
        assertEquals(91, drp.getFoldFromTextID("RPO05_JAN.00010"));
        assertEquals(53, drp.getFoldFromTextID("RPO05_JUN.00001"));
        assertEquals(94, drp.getFoldFromTextID("RPO05_JUN.00002"));
    }
}